import { PixelConfiguration } from './pixel.models';
import { ModuleWithProviders } from '@angular/core';
import { PixelService } from './pixel.service';
export declare class PixelModule {
    private pixel;
    private static config;
    constructor(pixel: PixelService, platformId: Object);
    /**
     * Initiale the Facebook Pixel Module
     *
     * Add your Pixel ID as parameter
     */
    static forRoot(config: PixelConfiguration): ModuleWithProviders<PixelModule>;
    /**
     * Verifies the Pixel ID that was passed into the configuration.
     * - Checks if Pixel was initialized
     * @param pixelId Pixel ID to verify
     */
    private static verifyPixelId;
}
